--- debathena-firefox-wrapper-10.0.1.orig/debian/control
+++ debathena-firefox-wrapper-10.0.1/debian/control
@@ -0,0 +1,15 @@
+Source: debathena-firefox-wrapper
+Section: debathena/web
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), autoconf, debathena-config-build-common (>= 3.7~)
+Standards-Version: 3.7.2
+
+Package: debathena-firefox-wrapper
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, iceweasel | firefox, lsb-release
+Description: Wrapper to configure Mozilla Firefox for Debathena
+ This package provides a wrapper for the stock Mozilla Firefox web
+ browser.  It handles disposing of stale profile locks, as well as
+ configuring plugin and font directories for the MIT environment.
+
--- debathena-firefox-wrapper-10.0.1.orig/debian/compat
+++ debathena-firefox-wrapper-10.0.1/debian/compat
@@ -0,0 +1 @@
+4
--- debathena-firefox-wrapper-10.0.1.orig/debian/control.in
+++ debathena-firefox-wrapper-10.0.1/debian/control.in
@@ -0,0 +1,15 @@
+Source: debathena-firefox-wrapper
+Section: debathena/web
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: @cdbs@
+Standards-Version: 3.7.2
+
+Package: debathena-firefox-wrapper
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, iceweasel | firefox, lsb-release
+Description: Wrapper to configure Mozilla Firefox for Debathena
+ This package provides a wrapper for the stock Mozilla Firefox web
+ browser.  It handles disposing of stale profile locks, as well as
+ configuring plugin and font directories for the MIT environment.
+
--- debathena-firefox-wrapper-10.0.1.orig/debian/changelog
+++ debathena-firefox-wrapper-10.0.1/debian/changelog
@@ -0,0 +1,20 @@
+debathena-firefox-wrapper (10.0.1-0debathena1) unstable; urgency=low
+
+  * firefox.sh: Fix typo in test for distribution.
+  * debian/rules: remove unecessary lsb_release code, now that the
+  relevant distribution test is in firefox.sh.
+  * debian/control.in: move lsb_release from build-depends to depends.
+
+ -- Tim Abbott <tabbott@mit.edu>  Mon, 17 Mar 2008 21:08:26 -0400
+
+debathena-firefox-wrapper (10.0.0-0debathena1) unstable; urgency=low
+
+  * Patches folded into main source.
+
+ -- Greg Hudson <ghudson@equal-rites.mit.edu>  Fri, 07 Mar 2008 11:02:08 -0500
+
+debathena-firefox-wrapper (9.4.39+cvs20070623-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sat, 08 Sep 2007 18:22:52 -0400
--- debathena-firefox-wrapper-10.0.1.orig/debian/copyright
+++ debathena-firefox-wrapper-10.0.1/debian/copyright
@@ -0,0 +1,20 @@
+The Athena source code was obtained from the Athena CVS repository at
+/afs/dev.mit.edu/source, and is licensed as follows:
+
+  Copyright 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+This Debian package was created as part of the Debian-Athena Project
+<http://web.mit.edu/debathena/www/> of the MIT Student Information
+Processing Board, and is released to the public domain.
--- debathena-firefox-wrapper-10.0.1.orig/debian/rules
+++ debathena-firefox-wrapper-10.0.1/debian/rules
@@ -0,0 +1,17 @@
+#!/usr/bin/make -f
+
+DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
+DEB_AUTO_UPDATE_AUTOCONF = 2.50
+
+DEBATHENA_DIVERT_FILES_debathena-firefox-wrapper += \
+	/usr/bin/firefox.debathena \
+	/usr/bin/iceweasel.debathena
+
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/debathena-divert.mk
+
+DEB_DH_LINK_ARGS += usr/bin/firefox.debathena usr/bin/iceweasel.debathena
+
+clean::
+	rm -f configure
--- debathena-firefox-wrapper-10.0.1.orig/firefox.sh
+++ debathena-firefox-wrapper-10.0.1/firefox.sh
@@ -292,4 +292,4 @@
   fi
 fi
 
-exec $firefox_libdir/firefox "$@"
+exec /usr/bin/firefox.debathena-orig "$@"
